﻿@model AHCBL.Dto.Admin.ContentListDto
@{
    ViewBag.Title = "Content List";
}

@using (Html.BeginForm("Edit", "ContentList", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    @Html.AntiForgeryToken()
    <div class="xp-contentbar" style="margin-top:60px;">
        <div class="row">
            <!-- Start XP Col -->
            <div class="col-md-12 col-lg-12 col-xl-12">
                <div class="card m-b-30">
                    <div class="card-header bg-white">
                        <h5 class="card-title text-black">팝업레이어 입력</h5>
                    </div>
                    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                    @Html.HiddenFor(model => model.id)
                    <div class="card-body">
                        <div class="table-responsive">
                            <div style="min-width:1366px;max-width:100%; margin:auto;">
                                <table class="table">
                                    <tr>
                                        <th>
                                            <label>ID</label>
                                        </th>
                                        <td colspan="3">
                                            @Html.EditorFor(model => model.code, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                            @Html.ValidationMessageFor(model => model.code, "", new { @class = "text-danger" })
                                        </td>
                                        <th>
                                            <label>제목</label>
                                        </th>
                                        <td colspan="3">
                                            @Html.EditorFor(model => model.name, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                            @Html.ValidationMessageFor(model => model.name, "", new { @class = "text-danger" })
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>내용</label>
                                        </th>
                                        <td colspan="3">
                                            @Html.TextAreaFor(model => model.contents, new { @class = "ckeditor" })
                                            @Html.ValidationMessageFor(model => model.contents, "", new { @class = "text-danger" })
                                        </td>
                                        <th>
                                            <label>모바일 내용</label>
                                        </th>
                                        <td colspan="3">
                                            @Html.TextAreaFor(model => model.contents_mobile, new { @class = "ckeditor" })
                                            @Html.ValidationMessageFor(model => model.contents_mobile, "", new { @class = "text-danger" })
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>스킨 디렉토리필수</label>
                                        </th>
                                        <td>
                                            @Html.DropDownListFor(m => m.skin_directory, Model.skin_directory_list, new { @class = "form-control bg-white border" })
                                            @Html.ValidationMessageFor(model => model.skin_directory, "", new { @class = "text-danger" })
                                        </td>
                                        <th>
                                            <label>모바일스킨 디렉토리필수</label>
                                        </th>
                                        <td>
                                            @Html.DropDownListFor(m => m.skin_directory_mobile, Model.skin_directory_mobile_list, new { @class = "form-control bg-white border" })
                                            @Html.ValidationMessageFor(model => model.skin_directory_mobile, "", new { @class = "text-danger" })
                                        </td>
                                        <th>
                                            <label>상단 파일 경로</label>
                                        </th>
                                        <td>
                                            <p class="font-11">설정값이 없으면 기본 상단 파일을 사용합니다.</p>
                                            @Html.EditorFor(model => model.include_head, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                            @Html.ValidationMessageFor(model => model.include_head, "", new { @class = "text-danger" })
                                        </td>
                                        <th>
                                            <label>하단 파일 경로</label>
                                        </th>
                                        <td>
                                            <p class="font-11">설정값이 없으면 기본 하단 파일을 사용합니다.</p>
                                            @Html.EditorFor(model => model.include_tail, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                            @Html.ValidationMessageFor(model => model.include_tail, "", new { @class = "text-danger" })
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>상단이미지</label>
                                        </th>
                                        <td colspan="3">
                                            @Html.EditorFor(model => model.img_head, new { htmlAttributes = new { @class = "form-control", @type = "file" } })
                                            @Html.ValidationMessageFor(model => model.img_head, "", new { @class = "text-danger" })
                                        </td>
                                        <th>
                                            <label>하단이미지</label>
                                        </th>
                                        <td colspan="3">
                                            @Html.EditorFor(model => model.img_tail, new { htmlAttributes = new { @class = "form-control", @type = "file" } })
                                            @Html.ValidationMessageFor(model => model.img_tail, "", new { @class = "text-danger" })
                                        </td>
                                    </tr>
                                    <tr><td colspan="8"></td></tr>
                                </table>
                                <div class="form-group text-center">
                                    <div class="col-md-offset-2 col-md-10">
                                        <input type="button" value="Back" onclick="location.href='@Url.Action("Index", "ContentList")'" class="btn btn-light" />
                                        <input type="submit" value="Save" class="btn btn-default" />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
}
<script>
    $(function () {
        $("th").addClass("bg-secondary-rgba align-middle");
        $("#liBoard").addClass("active");
        $("#meContent").addClass("active");

    });
</script>



@*<div class="form-horizontal">
        <h4>ContentListDto</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.id)

        <div class="form-group">
            @Html.LabelFor(model => model.code, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.code, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.code, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.name, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.name, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.name, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.contents, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.contents, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.contents, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.contents_mobile, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.contents_mobile, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.contents_mobile, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.skin_directory, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.skin_directory, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.skin_directory, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.skin_directory_mobile, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.skin_directory_mobile, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.skin_directory_mobile, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.include_head, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.include_head, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.include_head, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.include_tail, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.include_tail, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.include_tail, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.img_head, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.img_head, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.img_head, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.img_tail, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.img_tail, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.img_tail, "", new { @class = "text-danger" })
            </div>
        </div>


        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </div>
    </div>
    }*@

